Debian Bug report logs - #78866
libncurses5-dev: manpage names & filenames don't match

version graph

Package: libncurses5-dev; Maintainer for libncurses5-dev is Craig Small <csmall@debian.org>; Source for libncurses5-dev is src:ncurses.

Reported by: Ian Eure <ieure@insynq.com>

Date: Tue, 5 Dec 2000 23:33:01 UTC

Severity: normal

Found in versions 5.0-6.0potato1, 5.2.20010318-3

Done: Thomas Dickey <dickey@his.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joel Klecker <ncurses-maint@debian.org>:
Bug#78866; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to Ian Eure <ieure@insynq.com>:
New Bug report received and forwarded. Copy sent to Joel Klecker <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ian Eure <ieure@insynq.com>
To: submit@bugs.debian.org
Subject: libncurses5-dev: manpage names & filenames don't match
Date: Tue, 5 Dec 2000 15:22:55 -0800 (PST)
Package: libncurses5-dev
Version: 5.0-6.0potato1
Severity: normal

there seem to be several manpages where the "Name" (in the manpage) don't match the filename.

for example, the manpage for menu_new(3menu) has a "Name" of "mitem_new - create and destroy menu items"

the new(3menu) page has a Name of "menu_new - create and destroy menus"

this makes it very difficult to find the manpages for ncurses functions


-- System Information
Debian Release: 2.2
Kernel Version: Linux pyramid 2.2.17 #1 Wed Sep 13 17:05:23 PDT 2000 i686 unknown

Versions of the packages libncurses5-dev depends on:
ii  libc6-dev      2.1.3-13       GNU C Library: Development Libraries and Hea
ii  libncurses5    5.0-6.0potato1 Shared libraries for terminal handling



Information forwarded to debian-bugs-dist@lists.debian.org, Joel Klecker <ncurses-maint@debian.org>:
Bug#78866; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Joel Klecker <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Ian Eure <ieure@insynq.com>, 78866@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#78866: libncurses5-dev: manpage names & filenames don't match
Date: Tue, 5 Dec 2000 19:13:32 -0500
On Tue, Dec 05, 2000 at 03:22:55PM -0800, Ian Eure wrote:
> Package: libncurses5-dev
> Version: 5.0-6.0potato1
> Severity: normal
> 
> there seem to be several manpages where the "Name" (in the manpage) don't match the filename.

I fixed this in 5.1 and 5.2 (it works in 5.1, but had a dependency on GNU sed).
 
-- 
Thomas E. Dickey <dickey@herndon4.his.com>
http://dickey.his.com
ftp://dickey.his.com



Information forwarded to debian-bugs-dist@lists.debian.org, Joel Klecker <ncurses-maint@debian.org>:
Bug#78866; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Joel Klecker <ncurses-maint@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#78866; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <jvoss2@web.de>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #20 received at 78866@bugs.debian.org (full text, mbox):

From: Jochen Voss <jvoss2@web.de>
To: Debian Bug Tracking System <78866@bugs.debian.org>
Subject: libncurses5-dev: Renaming manual pages breaks ncurses(3ncurses)
Date: Mon, 31 Dec 2001 20:35:58 +0100
Package: libncurses5-dev
Version: 5.2.20010318-3

Hello,

I just found an additional problem, related to the
renamed manual pages.  When you fix the page headers
you should fix the ncurses(3ncurses) page, too.

It states

   Routine Name Index
       The following table lists each curses routine and the name
       of  the  manual  page  on which it is described.
   [...]

              curses Routine Name     Manual Page Name
              --------------------------------------------
              COLOR_PAIR              curs_color(3X)
              PAIR_NUMBER             curs_attr(3X)
              _nc_tracebits           curs_trace(3X)*
              _traceattr              curs_trace(3X)*
              _traceattr2             curs_trace(3X)*
              _tracechar              curs_trace(3X)*
   [...]
              addch                   curs_addch(3X)
   [...]

but, for example, addch is not described in the curs_addch(3x)
manual page, but instead of in the addch(3ncurses) page.

Jochen

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux tatonka 2.4.17 #1 Sat Dec 22 21:25:24 CET 2001 i586
Locale: LANG=de_DE, LC_CTYPE=de_DE

Versions of packages libncurses5-dev depends on:
ii  libc6-dev                 2.2.4-7        GNU C Library: Development Librari
ii  libncurses5               5.2.20010318-3 Shared libraries for terminal hand




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#78866; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #25 received at 78866@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Jochen Voss <jvoss2@web.de>, 78866@bugs.debian.org
Subject: Re: Bug#78866: libncurses5-dev: Renaming manual pages breaks ncurses(3ncurses)
Date: Mon, 31 Dec 2001 15:02:20 -0500
On Mon, Dec 31, 2001 at 08:35:58PM +0100, Jochen Voss wrote:
> Package: libncurses5-dev
> Version: 5.2.20010318-3
> 
> Hello,
> 
> I just found an additional problem, related to the
> renamed manual pages.  When you fix the page headers
> you should fix the ncurses(3ncurses) page, too.

I noticed this a while ago, and it is on my to-do list:

2001/11/03
	debian renames aren't being applied to updating the section numbers
	within the manpages.
 
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#78866; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <drow@false.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #30 received at 78866@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <drow@false.org>
To: 78866@bugs.debian.org
Subject: ncurses manpage renames
Date: Sat, 16 Jul 2005 11:03:08 -0400
Hey Thomas,

How is this supposed to work?  I have the feeling the problem the
submitter is really talking about is still there.

man 3menu menu_new:

menu_new(3MENU)

NAME
       mitem_new - create and destroy menu items


man 3menu new:

new(3MENU)

NAME
       menu_new - create and destroy menus

That's pretty confusing... and I'm not sure why they're renamed in this
particular way, either - maybe the mitem_* manpages should be left as
mitem_new(3menu), etc.?

-- 
Daniel Jacobowitz
CodeSourcery, LLC



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#78866; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #35 received at 78866@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Daniel Jacobowitz <drow@false.org>, 78866@bugs.debian.org
Cc: debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>
Subject: Re: Bug#78866: ncurses manpage renames
Date: Sat, 16 Jul 2005 12:47:35 -0400 (EDT)
On Sat, 16 Jul 2005, Daniel Jacobowitz wrote:

> Hey Thomas,
>
> How is this supposed to work?  I have the feeling the problem the
> submitter is really talking about is still there.
>
> man 3menu menu_new:

yes - I don't recall noticing this before (I was probably thinking it
was the same as another report where the manpage contained exactly one
function).  In this case, I see that the third line of the file isn't
being touched by the script (probably because the \fB conflicts):

.TH mitem_new 3X ""
.SH NAME
\fBmitem_new\fR - create and destroy menu items


> menu_new(3MENU)
>
> NAME
>       mitem_new - create and destroy menu items
>
>
> man 3menu new:
>
> new(3MENU)
>
> NAME
>       menu_new - create and destroy menus
>
> That's pretty confusing... and I'm not sure why they're renamed in this
> particular way, either - maybe the mitem_* manpages should be left as
> mitem_new(3menu), etc.?

I suppose so (that's a different issue - I haven't had anything to do with
the selection of names for man_db.renames, just trying to make the 
scripting work).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#78866; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <drow@false.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #40 received at 78866@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <drow@false.org>
To: Thomas Dickey <dickey@his.com>, 78866@bugs.debian.org
Subject: Re: Bug#78866: ncurses manpage renames
Date: Sat, 16 Jul 2005 13:42:12 -0400
On Sat, Jul 16, 2005 at 12:47:35PM -0400, Thomas E. Dickey wrote:
> On Sat, 16 Jul 2005, Daniel Jacobowitz wrote:
> 
> >Hey Thomas,
> >
> >How is this supposed to work?  I have the feeling the problem the
> >submitter is really talking about is still there.
> >
> >man 3menu menu_new:
> 
> yes - I don't recall noticing this before (I was probably thinking it
> was the same as another report where the manpage contained exactly one
> function).  In this case, I see that the third line of the file isn't
> being touched by the script (probably because the \fB conflicts):
> 
> .TH mitem_new 3X ""
> .SH NAME
> \fBmitem_new\fR - create and destroy menu items

Yeah, that's what I think is has happened.

> I suppose so (that's a different issue - I haven't had anything to do with
> the selection of names for man_db.renames, just trying to make the 
> scripting work).

Who did, do you remember?  It was before I had anything to do with
ncurses.  Maybe it's time to let them go.

-- 
Daniel Jacobowitz
CodeSourcery, LLC



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#78866; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #45 received at 78866@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Daniel Jacobowitz <drow@false.org>
Cc: 78866@bugs.debian.org
Subject: Re: Bug#78866: ncurses manpage renames
Date: Sat, 16 Jul 2005 13:52:50 -0400 (EDT)
On Sat, 16 Jul 2005, Daniel Jacobowitz wrote:

> On Sat, Jul 16, 2005 at 12:47:35PM -0400, Thomas E. Dickey wrote:
>> On Sat, 16 Jul 2005, Daniel Jacobowitz wrote:
>>
>>> Hey Thomas,
>>>
>>> How is this supposed to work?  I have the feeling the problem the
>>> submitter is really talking about is still there.
>>>
>>> man 3menu menu_new:
>>
>> yes - I don't recall noticing this before (I was probably thinking it
>> was the same as another report where the manpage contained exactly one
>> function).  In this case, I see that the third line of the file isn't
>> being touched by the script (probably because the \fB conflicts):
>>
>> .TH mitem_new 3X ""
>> .SH NAME
>> \fBmitem_new\fR - create and destroy menu items
>
> Yeah, that's what I think is has happened.

I'm looking into it now.  I see another problem in man_db.renames -

	menu_new.3x                     new.3menu
	mitem_new.3x                    menu_new.3menu

Having the same "menu_new" on both sides in a different line will 
certainly make make_sed.sh do something wrong.  Perhaps changing the
"menu_" to "menuitem_" would work better.  There are seven files that
would change if we did that.

>> I suppose so (that's a different issue - I haven't had anything to do with
>> the selection of names for man_db.renames, just trying to make the
>> scripting work).
>
> Who did, do you remember?  It was before I had anything to do with
> ncurses.  Maybe it's time to let them go.

It has been a while (without digging through email I don't recall).
Looks like 1997 is the first time I got involved in that.

However, most of the manpages in /usr/share/man seem to follow a similar
scheme.   Before I added the scripting to ncurses, I recall some huge
perl script that was used in Debian (which didn't work as well as my
script).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#78866; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <drow@false.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #50 received at 78866@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <drow@false.org>
To: Thomas Dickey <dickey@his.com>
Cc: 78866@bugs.debian.org
Subject: Re: Bug#78866: ncurses manpage renames
Date: Sat, 16 Jul 2005 14:24:05 -0400
On Sat, Jul 16, 2005 at 01:52:50PM -0400, Thomas E. Dickey wrote:
> I'm looking into it now.  I see another problem in man_db.renames -
> 
> 	menu_new.3x                     new.3menu
> 	mitem_new.3x                    menu_new.3menu
> 
> Having the same "menu_new" on both sides in a different line will 
> certainly make make_sed.sh do something wrong.  Perhaps changing the
> "menu_" to "menuitem_" would work better.  There are seven files that
> would change if we did that.

> However, most of the manpages in /usr/share/man seem to follow a similar
> scheme.   Before I added the scripting to ncurses, I recall some huge
> perl script that was used in Debian (which didn't work as well as my
> script).

Similar to the renamed ones, you mean?

It seems like it'd be simpler to give a manpage describing a group of
functions the name of one of the functions, with appropriate symlinks
for the others.  I'd put the man page on just new_item and free_item,
and give it a title of "new_item, free_item - <do x>".  Then we don't
have the confusing new(3MENU) and new(3FORM).

I don't know how many people look at these man pages via the filename
or the entry in NAME.  I bet most people do it via the function names.

-- 
Daniel Jacobowitz
CodeSourcery, LLC



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#78866; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #55 received at 78866@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Daniel Jacobowitz <drow@false.org>
Cc: 78866@bugs.debian.org
Subject: Re: Bug#78866: ncurses manpage renames
Date: Sat, 16 Jul 2005 14:36:33 -0400 (EDT)
On Sat, 16 Jul 2005, Daniel Jacobowitz wrote:

> On Sat, Jul 16, 2005 at 01:52:50PM -0400, Thomas E. Dickey wrote:
>> I'm looking into it now.  I see another problem in man_db.renames -
>>
>> 	menu_new.3x                     new.3menu
>> 	mitem_new.3x                    menu_new.3menu
>>
>> Having the same "menu_new" on both sides in a different line will
>> certainly make make_sed.sh do something wrong.  Perhaps changing the
>> "menu_" to "menuitem_" would work better.  There are seven files that
>> would change if we did that.
>
>> However, most of the manpages in /usr/share/man seem to follow a similar
>> scheme.   Before I added the scripting to ncurses, I recall some huge
>> perl script that was used in Debian (which didn't work as well as my
>> script).
>
> Similar to the renamed ones, you mean?

yes - though that's just at a first glance.  Since they're "all" renamed,
I assume there are several scripts used in Debian's packages for doing the
renaming.

> It seems like it'd be simpler to give a manpage describing a group of
> functions the name of one of the functions, with appropriate symlinks
> for the others.  I'd put the man page on just new_item and free_item,
> and give it a title of "new_item, free_item - <do x>".  Then we don't
> have the confusing new(3MENU) and new(3FORM).

I guess so.  For now I'm just looking at making the name under ".NAME" 
agree with the filename, which is the convention for ncurses.  My 
first-cut change to the script is modifying about 200 lines in the 
installed manpages, and in inspecting that, I see some cases where it does 
not agree, so the renaming does unexpected things on top of that.

> I don't know how many people look at these man pages via the filename
> or the entry in NAME.  I bet most people do it via the function names.

I almost always lookup by function name, e.g., from browsing curses.h, 
except if I'm browsing one of the manpages, and do a man on one of the 
references.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#78866; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <drow@false.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #60 received at 78866@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <drow@false.org>
To: Thomas Dickey <dickey@his.com>
Cc: 78866@bugs.debian.org
Subject: Re: Bug#78866: ncurses manpage renames
Date: Sat, 16 Jul 2005 14:41:12 -0400
On Sat, Jul 16, 2005 at 02:36:33PM -0400, Thomas E. Dickey wrote:
> >Similar to the renamed ones, you mean?
> 
> yes - though that's just at a first glance.  Since they're "all" renamed,
> I assume there are several scripts used in Debian's packages for doing the
> renaming.

I have no idea.  There's not all that many things that provide their
own man page section.  Most of them don't rename pages within the
section, just change the section - I just checked TCL for instance.
It doesn't fix up the man pages at all, just the filenames.

-- 
Daniel Jacobowitz
CodeSourcery, LLC



Reply sent to dickey@his.com:
You have taken responsibility. (Sat, 29 Aug 2009 19:48:06 GMT) Full text and rfc822 format available.

Notification sent to Ian Eure <ieure@insynq.com>:
Bug acknowledged by developer. (Sat, 29 Aug 2009 19:48:06 GMT) Full text and rfc822 format available.

Message #65 received at 78866-done@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 78866-done@bugs.debian.org
Subject: re: #78866 libncurses5-dev: manpage names & filenames don't match
Date: Sat, 29 Aug 2009 15:41:14 -0400
[Message part 1 (text/plain, inline)]
The remaining issue in this was fixed in ncurses 20050716 patch.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Sep 2009 07:35:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:12:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.